#ifndef __BASE_H
#define __BASE_H

#include <wx/string.h>
#include <wx/textctrl.h>
#include <wx/gdicmn.h>
#include <wx/font.h>
#include <wx/colour.h>
#include <wx/settings.h>
#include <wx/stattext.h>
#include <wx/listbox.h>
#include <wx/sizer.h>
#include <wx/button.h>
#include <wx/choice.h>
#include <wx/grid.h>
#include <wx/scrolwin.h>
#include <wx/frame.h>
#include <mysql/mysql.h>

class MainApp: public wxApp
{
  public:
      virtual bool OnInit();
};

class win : public wxFrame 
{
	public:
//
		wxTextCtrl* src_line;			// 
		wxStaticText* m_staticText4;	//
		wxListBox* src_res;				//  -  
		wxButton* src_but;				// 
		wxStaticText* m_staticText2;	//
		wxChoice* abc_list;				//  
		wxScrolledWindow* scroll_block; //
		wxGrid* src_info;				//  -  
	
//
		win( wxWindow* parent, wxWindowID id = wxID_ANY, const wxString& title = wxT("  v1.0 alpha"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxSize( 600,305 ), long style = wxDEFAULT_FRAME_STYLE|wxTAB_TRAVERSAL );
		~win();
		void OnQuit(wxCommandEvent &event);
		void OnSize(wxSizeEvent& event);
		void OnButtonClick(wxCommandEvent& event);
		void alert(wxString msg);
  private:
      DECLARE_EVENT_TABLE()
	
};

enum
{
   ID_MAINWIN_QUIT = wxID_HIGHEST+1
};
//  
MYSQL *conn;	//  
#define SRC_LINE_ID wxID_ANY
#define SRC_BUT_ID  wxID_ANY
#define INFO_ID		wxID_ANY
#define RES_ID		wxID_ANY
#define ABC_LIST_ID	wxID_ANY

#endif
